#
# Default Bacula Storage Daemon Configuration file
#
#  For Bacula release 2.0.3 (03/07/07) -- Windows MVS
#
# You may need to change the name of your tape drive
#   on the "Archive Device" directive in the Device
#   resource.  If you change the Name and/or the 
#   "Media Type" in the Device resource, please ensure
#   that bacula-dir.conf has corresponding changes.
#

Storage {                             # definition of myself
  Name = backupsd-sd
  SDPort = 9103                  # Director's port      
  WorkingDirectory = "C:\\Documents and Settings\\All Users\\Application Data\\Bacula\\Work"
  Pid Directory = "C:\\Documents and Settings\\All Users\\Application Data\\Bacula\\Work"
  Maximum Concurrent Jobs = 10
}

#
# List Directors who are permitted to contact Storage daemon
#
Director {
  Name = backupdir-dir
  Password = "xx"
}

#
# Restricted Director, used by tray-monitor to get the
#   status of the storage daemon
#
Director {
  Name = backupsd-mon
  Password = "xx"
  Monitor = yes
}

#
# Devices supported by this Storage daemon
# To connect, the Director's bacula-dir.conf must have the
#  same Name and MediaType. 
#

Device {
  Name = FileStorage
  Media Type = File
  Archive Device = "E:\\backup"
  LabelMedia = yes                   # lets Bacula label unlabeled media
  Random Access = Yes
  AutomaticMount = yes               # when device opened, read it
  RemovableMedia = no
  AlwaysOpen = no
}

#
# An autochanger device with two drives
#
#Autochanger {
#  Name = Autochanger
#  Device = Drive-1
#  Device = Drive-2
#  Changer Command = "mtx-changer %c %o %S %a %d"
#  Changer Device = Changer0
#}

#Device {
#  Name = Drive-1                      #
#  Drive Index = 0
#  Media Type = DLT-8000
#  Device Type = Tape
#  Archive Device = Tape0
#  AutomaticMount = yes               # when device opened, read it
#  AlwaysOpen = yes
#  RemovableMedia = yes
#  RandomAccess = no
#  AutoChanger = yes
#  Alert Command = "tapeinfo -f %c | findstr TapeAlert"
#}

#Device {
#  Name = Drive-2                      #
#  Drive Index = 1
#  Media Type = DLT-8000
#  Device Type = Tape
#  Archive Device = Tape1
#  AutomaticMount = yes               # when device opened, read it
#  AlwaysOpen = yes
#  RemovableMedia = yes
#  RandomAccess = no
#  AutoChanger = yes
#  Alert Command = "tapeinfo -f %c | findstr TapeAlert"
#}

#
#Device {
#  Name = DDS-4                        # 
#  Media Type = DDS-4
#  Device Type = Tape
#  Archive Device = Tape0
#  AutomaticMount = yes               # when device opened, read it
#  AlwaysOpen = yes
#  RemovableMedia = yes
#  RandomAccess = no
#  Alert Command = "tapeinfo -f %c | findstr TapeAlert"
#}

# 
# Send all messages to the Director, 
# mount messages also are sent to the email address
#
Messages {
  Name = Standard
  director = backupdir-dir = all
}
